## NMDeviceAdsl NMDeviceAdsl |

## Functions

gboolean | nm_device_adsl_get_carrier ()

## Properties

gboolean | carrier | Read

## Types and Values

#define | NM_DEVICE_ADSL_CARRIER
| NMDeviceAdsl

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceAdsl

## Implemented Interfaces

NMDeviceAdsl implements GInitable and GAsyncInitable.

## Description

## Functions

### nm_device_adsl_get_carrier ()

    gboolean
    nm_device_adsl_get_carrier (NMDeviceAdsl *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceAdsl |

#### Returns

`TRUE` if the device has carrier

## Types and Values

### NM_DEVICE_ADSL_CARRIER

    #define NM_DEVICE_ADSL_CARRIER "carrier"

### NMDeviceAdsl

    typedef struct _NMDeviceAdsl NMDeviceAdsl;

## Property Details

### The `“carrier”` property

      “carrier”                  gboolean

Whether the device has carrier.

Flags: Read

Default value: FALSE